Subject: [bug#63863] [PATCH v5 1/1] gnu: home: Add support for home-pipewire-service

From: Tanguy LE CARROUR <[email-masked]>
Date: Fri, 25 Aug 2023 08:44:06 +0200

Hi Brian,

Quoting brian (2023-08-23 20:44:55)
> Tanguy LE CARROUR <[email-masked]> writes:
> > I copied it to my channel, added it to my home configuration,
> > reconfigured and… go this message:
> >
> > ```
> > guix home: error: service 'pipewire' requires 'dbus', which is not provided by any service
> > ```
> >
> > I was a little confused, because in the documentation, you wrote
> > "As PipeWire does not use @code{dbus} to start its services on demand".
> 
> Pipewire does not use dbus to start its services on demand, but it does
> use it for communication between the pipewire daemon itself and the
> session manager (typically wireplumber).
> 
> I guess this is confusing. I'll see if I can explain this
> better. Although part of me wants to drop the dbus verbiage from the
> documentation entirely, since it only exists right now to explain things
> to people who might be migrating from Pulseaudio and used to not needing
> a Shepherd service. I don't want to write a deep explainer on how DBus
> is used. It's not the place for that, nor do I even know that much about
> it.

It's a bit confusing, indeed! … but I'm easily confused! 😅
What would be great would a mechanism to "pull/manage" service dependencies.

> > I added it anyway, reconfigured and after rebooting (I currently have a
> > problem with shepherd not being properly reloaded! 😞) I can see
> > the new services as being "stopped" in `herd status` output.
> > Are they stopped on purpose? Who is supposed to start them?
> 
> The services should all start automatically, but they do all depend on
> a user-session level dbus daemon running. I see you're using dbus, but
> are you using it from ‘home-dbus-service-type’?

Yes, I added it in my home configuration.

> > Sorry, I'm not sure I understand how it's supposed to work.
> > I've tried joining a JitsiMeet conference. The video seems to be
> > working, but my mic‘ is marked as "broken".
> 
> If video sharing under Wayland is working, then I'd say that means
> Pipewire+Wireguard are working. The mic doesn't work, but can you hear
> audio through your speakers or headphones? Are your audio devices
> visible? Are you using Pulseaudio emulation (which I recommend you do)?

I'll give it another try at the week-end! 🤞

> > Anyway, thanks for you work on this patch! Can't wait for it to be
> > merged.
> 
> /me pokes Ludo 😉

Poke poke 👉

-- 
Tanguy